<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task4</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Tasks
        1. JavaScript Program to Swap Two Variables
        2. JavaScript Program to Check Prime Number
        3. JavaScript Program to Find Sum of Natural Numbers Using Recursion
        4. JavaScript Program to Replace Characters of a String
        5. JavaScript Program to Loop Through an Object
    -->
</head>
<body>
    <script>
        function Rep(){
            const String = document.getElementById("str").value;
            const reg = document.getElementById("reg").value;
            // const rep = document.getElementById("new").value;
            const regex = /reg/gi
            const newText = String.replace(regex, "red");
            document.getElementById("op").innerHTML="Original: "+String+" New: "+newText;
        }
    </script>
    <div>
        <h1>Replace Characters of a String</h1>
        <p>Enter a string</p>
        <input type="text" id="str">
        <p>Enter the text to be replaced</p>
        <input type="text" id="reg">
        <!-- <p>Enter the new text</p>
        <input type="text" id="new"> -->
        <p id="op"></p>
        <button style="color: blueviolet;width: auto;height: auto;" onclick="Rep()">Replace</button>
    </div>
</body>
</html>